<!DOCTYPE html>
<html lang="en" xmlns:v-on="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Instances</title>
</head>
<body>

<div id="app1">
    <h2 v-text="message">{{ message }}</h2>
    <button v-on:click="reverseMessage">Reverse message</button>
</div>

<hr>

<div id="app2">
    <h2 v-text="message">{{ message }}</h2>
    <button v-on:click="reverseMessage">Reverse message</button>
</div>

<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

<script>
    const vm1 = new Vue({
        el: '#app1',
        data: {
            message: 'Hello world since instance vue 1'
        },
        beforeUpdate() {
            console.log('Before update', this.message)
        },
        updated() {
            console.log('Update', this.message)
        },
        methods: {
            reverseMessage() {
                this.message = this.message.split('').reverse().join('');

                // vm2.message = "Cambio mensaje de instance vue 2 desde instance vue 1"
            }
        }
    });

    const vm2 = new Vue({
        el: '#app2',
        data: {
            message: 'Hello world since instance vue 1'
        },
        methods: {
            reverseMessage() {
                this.message = this.message.split('').reverse().join('');
                // vm1.message = "Cambio mensaje de instance vue 1 desde instance vue 2"
            }
        }
    })
</script>

</body>
</html>